extends Control

@onready var rich_text_label = %RichTextLabel

func _ready():
	_on_button_pressed()

func _on_button_pressed():
	rich_text_label.clear()
	rich_text_label.append_text("OS: %s\n" % OS.get_name() )
	rich_text_label.append_text("Layout count: %s\n" % DisplayServer.keyboard_get_layout_count())
	rich_text_label.append_text("Current layout index is: %s\n" % DisplayServer.keyboard_get_current_layout())
	rich_text_label.append_text("Current layout name: %s\n" % DisplayServer.keyboard_get_layout_name(DisplayServer.keyboard_get_current_layout()))
	for i in DisplayServer.keyboard_get_layout_count():
		rich_text_label.append_text(
"""
----------------------
Keyboard index: %s
Language: %s
Name: %s""" % [i, DisplayServer.keyboard_get_layout_language(i), DisplayServer.keyboard_get_layout_name(i)]
		)
